> ## Documentation Index
> Fetch the complete documentation index at: https://quartr.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a document type



## OpenAPI

````yaml https://api.quartr.com/public/v3/openapi.json get /public/v3/document-types/{id}
openapi: 3.0.0
info:
  title: Quartr Public API
  description: The Quartr Public API
  version: '3.0'
  contact: {}
servers:
  - url: https://api.quartr.com
security: []
tags:
  - name: Companies
    description: ''
  - name: Events
    description: ''
  - name: Event Types
    description: ''
  - name: Documents
    description: ''
  - name: Document Types
    description: ''
  - name: Reports
    description: ''
  - name: Slides
    description: ''
  - name: Transcripts
    description: ''
  - name: Backlog Audio
    description: ''
  - name: Live
    description: ''
  - name: Live Audio
    description: ''
  - name: Live Transcripts
    description: ''
paths:
  /public/v3/document-types/{id}:
    get:
      tags:
        - Document Types
      summary: Retrieve a document type
      operationId: DocumentTypesControllerV3_getDocumentTypeById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentTypeResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Unauthorized
                    type: string
                  statusCode:
                    example: 401
                    type: number
                type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Forbidden
                    type: string
                  statusCode:
                    example: 403
                    type: number
                type: object
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Not Found
                    type: string
                  statusCode:
                    example: 404
                    type: number
                type: object
      security:
        - apiKey: []
components:
  schemas:
    DocumentTypeResponseDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DocumentTypeDto'
      required:
        - data
    DocumentTypeDto:
      type: object
      properties:
        id:
          type: number
          example: 7
        name:
          type: string
          example: Quarterly Report
        description:
          type: string
          example: General form for quarterly reports under Section 13 or 15(d)
        form:
          type: string
          example: 10-Q
        updatedAt:
          format: date-time
          type: string
          example: '2024-04-09T14:19:21.000Z'
        createdAt:
          format: date-time
          type: string
          example: '2024-04-05T14:19:21.000Z'
        category:
          type: string
          example: Report
        documentGroupId:
          type: number
          example: 1
      required:
        - id
        - name
        - updatedAt
        - createdAt
        - category
  securitySchemes:
    apiKey:
      in: header
      name: x-api-key
      type: apiKey

````